import type { SensitiveTextFactory } from "./SensitiveText";
import type { TextFactory } from "./Text";
import type { PackageSelectorFactory } from "./PackageSelection";
import type { RadioButtonsFactory } from "./RadioButtons";
import type { SectionFactory } from "./Section";
import type { SectionGroupFactory } from "./SectionGroup";
import type { ListFactory } from "./List";
import type { StepInputComponent } from "./InputComponents";
import type { DeploymentTargetInputComponent } from "./InputComponents";
export interface AvailableStepComponents {
    sensitiveText: SensitiveTextFactory;
    text: TextFactory;
    packageSelector: PackageSelectorFactory;
    radioButtons: RadioButtonsFactory;
    section: SectionFactory<StepInputComponent>;
    sectionGroup: SectionGroupFactory<StepInputComponent>;
    list: ListFactory;
}
export interface AvailableDeploymentTargetComponents {
    sensitiveText: SensitiveTextFactory;
    text: TextFactory;
    radioButtons: RadioButtonsFactory;
    section: SectionFactory<DeploymentTargetInputComponent>;
    sectionGroup: SectionGroupFactory<DeploymentTargetInputComponent>;
}
