import type { InitialInputs } from "./InitialInputs";
import type { ObjectInputPaths, PackageReference } from "@octopusdeploy/step-inputs";
import type { AvailableStepComponents } from "./AvailableComponents";
import type { FormContent } from "./FormContent";
import type { StepInputComponent } from "./InputComponents";

export interface StepUI<StepInputs> {
    editInputsForm: EditStepInputsForm<StepInputs>;
    createInitialInputs: (initialInputFactories: InitialInputFactories) => InitialInputs<StepInputs>;
}

export interface InitialInputFactories {
    createEmptyPackageReference: () => PackageReference;
}

export type EditStepInputsForm<StepInputs> = (
    inputPaths: ObjectInputPaths<StepInputs>,
    availableComponents: AvailableStepComponents
) => FormContent<StepInputComponent>[];
